Safe Haskell | Safe-Inferred
Language | Haskell2010

Bug973

Synopsis

- showRead :: (Show a, Read b) => a -> b
- showRead' :: forall b a. (Show a, Read b) => a -> b

# Documentation

showRead #

Arguments

:: (Show a, Read b) |
=> a | this gets turned into a string...
-> b | ...from which this is read

showRead' #

Arguments

:: forall b a. (Show a, Read b) |
=> a | this gets turned into a string...
-> b | ...from which this is read

Same as `showRead`, but with type variable order flipped